Skip to main content
POST

Create a project

Scope:projects:projects.write
https://api.holded.com/api/v2/projects

Creates a new project. The response returns the new project `id`.

Request body

object
namestringrequired

Project name

descriptionstring | nulloptional

Project description

due_datestring<date> | nulloptional

Due date in ISO 8601

contact_idstring | nulloptional

Contact ID

Request

python
import requests

url = "https://api.holded.com/api/v2/projects"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

payload = {
    "name": "string",
    "description": "string",
    "due_date": "2024-01-15",
    "contact_id": "string"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011"
}

Success responses

201Project createdapplication/json
object
idstring

Error responses

400Bad requestapplication/json
401Invalid or missing API keyapplication/json
403Insufficient permissionsapplication/json
404Contact not foundapplication/json
422Validation errorapplication/json
429Rate limit exceededapplication/json